import request from '@/utils/request'

// 查询爆品列表
export function getHotGoodsList(data) {
  return request({
    url: '/explosive-products/getExplosiveProductsAll',
    method: 'post',
    data
  })
}

// 添加爆品
export function addHotGoods(data) {
  return request({
    url: '/explosive-products/addExplosiveProducts',
    method: 'POST',
    data
  })
}

// 删除爆品
export function deleteHotGoods(params) {
  return request({
    url: '/explosive-products/deleteExplosiveProducts',
    method: 'POST',
    params
  })
}

// 编辑爆品
export function editHotGoods(data) {
  return request({
    url: '/explosive-products/updateExplosiveProducts',
    method: 'POST',
    data
  })
}

// 爆品上下架
export function upDownExplosiveProducts(params) {
  return request({
    url: '/explosive-products/upDownExplosiveProducts',
    method: 'POST',
    params
  })
}

// 添加配销产品
export function addExplosiveProductsSubsidiary(data) {
  return request({
    url: '/explosive-products/addExplosiveProductsSubsidiary',
    method: 'POST',
    data
  })
}

// 编辑配销产品
export function editExplosiveProductsSubsidiary(data) {
  return request({
    url: '/explosive-products/updateExplosiveProductsSubsidiary',
    method: 'POST',
    data
  })
}

// 删除配销产品
export function deleteExplosiveProductsSubsidiary(params) {
  return request({
    url: '/explosive-products/deleteExplosiveProductsSubsidiary',
    method: 'POST',
    params
  })
}
